{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  config = lib.mkMerge [
    {
      services.fwupd.enable = true;

      environment.persistence."/persist" = lib.mkIf (!config.me.buildingIso) {
        hideMounts = true;
        directories = [
          {
            directory = "/var/lib/fwupd";
            user = "root";
            group = "root";
            mode = "0755";
          }
        ];
      };
    }
    (lib.mkIf config.me.graphical {
      environment.systemPackages = with pkgs; [
        gnome-firmware
      ];
    })
  ];
}
